Bug 1266011 - Review Request: ocaml-re - Pure OCaml regular expressions with support for Perl and POSIX-style strings
Summary: Review Request: ocaml-re - Pure OCaml regular expressions with support for Pe...
Keywords:
Status: CLOSED DUPLICATE of bug 1174036
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-24 10:05 UTC by Christopher Meng
Modified: 2018-08-23 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 15:37:37 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Meng 2015-09-24 10:05:26 UTC
Spec URL: http://cicku.me/ocaml-re.spec
SRPM URL: http://cicku.me/ocaml-re-1.4.1-1.fc24.src.rpm
Description: Re is a regular expression library for OCaml. It has better performance comparing with PCRE in some cases.

The following styles of regular expressions are supported:

* Perl-style regular expressions;
* Posix extended regular expressions;
* Emacs-style regular expressions;
* Shell-style file globbing.

Fedora Account System Username: cicku

Comment 1 Richard Shaw 2015-09-30 13:35:10 UTC
Ok, this is my first ocaml review so I have a few questions...

1. Under the OCaml packaging guidelines I see there should be some macros set[1]:

%global _use_internal_dependency_generator 0
%global __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%global __find_provides /usr/lib/rpm/ocaml-find-provides.sh

Per the example spec file, these should go between BuildRequires and %description. Is there I reason your package doesn't need these? In the requires output from fedora-review I don't see the MD5hash as part of the requirement so I'm thinking you do need this.

2. I Don't see a "make opt" or the test at the top of the spec. Does this library not support byte-code only arches?

3. I assume these are not stripped per the OCaml guidelines[2] because they would not function?

ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_str.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_glob.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_pcre.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_posix.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_emacs.cmxs
ocaml-re.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/re/re_perl.cmxs


[1] https://fedoraproject.org/wiki/Packaging:OCaml?rd=Packaging/OCaml#Requires_and_provides

[2] https://fedoraproject.org/wiki/Packaging:OCaml?rd=Packaging/OCaml#Stripping_binaries

Comment 2 Upstream Release Monitoring 2015-10-21 22:58:49 UTC
jonludlam's scratch build of ocaml-re-1.4.1-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11536753

Comment 3 Ben Rosser 2018-08-23 15:37:37 UTC

*** This bug has been marked as a duplicate of bug 1174036 ***


Note You need to log in before you can comment on or make changes to this bug.